org.apache.synapse.mediators.opa

## Class OPASecurityException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.synapse.mediators.opa.OPASecurityException

- All Implemented Interfaces:
    java.io.Serializable

      public class OPASecurityException
      extends java.lang.Exception

  Exception to be thrown when a OPA mediator related error occurs
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ACCESS_REVOKED`
    `static java.lang.String` | `ACCESS_REVOKED_MESSAGE`
    `static int` | `INTERNAL_ERROR`
    `static java.lang.String` | `INTERNAL_ERROR_MESSAGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OPASecurityException(int errorCode, java.lang.String message)`
    `OPASecurityException(int errorCode, java.lang.String message, java.lang.Throwable cause)`
    `OPASecurityException(java.lang.String message)`
    `OPASecurityException(java.lang.String message, java.lang.Throwable cause)`
    `OPASecurityException(java.lang.Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getErrorCode()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INTERNAL_ERROR

          public static final int INTERNAL_ERROR

      See Also:
        Constant Field Values

    - #### INTERNAL_ERROR_MESSAGE

          public static final java.lang.String INTERNAL_ERROR_MESSAGE

      See Also:
        Constant Field Values

    - #### ACCESS_REVOKED

          public static final int ACCESS_REVOKED

      See Also:
        Constant Field Values

    - #### ACCESS_REVOKED_MESSAGE

          public static final java.lang.String ACCESS_REVOKED_MESSAGE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OPASecurityException

          public OPASecurityException(java.lang.String message)

    - #### OPASecurityException

          public OPASecurityException(int errorCode,
                                      java.lang.String message)

    - #### OPASecurityException

          public OPASecurityException(int errorCode,
                                      java.lang.String message,
                                      java.lang.Throwable cause)

    - #### OPASecurityException

          public OPASecurityException(java.lang.String message,
                                      java.lang.Throwable cause)

    - #### OPASecurityException

          public OPASecurityException(java.lang.Throwable cause)

  - ### Method Detail

    - #### getErrorCode

          public int getErrorCode()

Copyright © 2005-2022 Apache Software Foundation. All Rights Reserved.